Index: src/whowas.c
===================================================================
--- src/whowas.c	(.../1.0.1)	(revision 183)
+++ src/whowas.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: whowas.c 507 2006-03-04 08:20:28Z michael $
+ *  $Id$
+ *  $Hybrid: whowas.c 507 2006-03-04 08:20:28Z michael $
  */
 
 #include "stdinc.h"

Index: src/s_bsd_win32.c
===================================================================
--- src/s_bsd_win32.c	(.../1.0.1)	(revision 183)
+++ src/s_bsd_win32.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_bsd_win32.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: s_bsd_win32.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"

Index: src/y.tab.c
===================================================================
--- src/y.tab.c	(.../1.0.1)	(revision 183)
+++ src/y.tab.c	(.../1.0.2)	(revision 183)
@@ -1,27 +1,602 @@
-#include <stdlib.h>
-#ifndef lint
-#ifdef __unused
-__unused
+/* A Bison parser, made by GNU Bison 2.3.  */
+
+/* Skeleton implementation for Bison's Yacc-like parsers in C
+
+   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
+   Free Software Foundation, Inc.
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software
+   Foundation, Inc., 51 Franklin Street, Fifth Floor,
+   Boston, MA 02110-1301, USA.  */
+
+/* As a special exception, you may create a larger work that contains
+   part or all of the Bison parser skeleton and distribute that work
+   under terms of your choice, so long as that work isn't itself a
+   parser generator using the skeleton or a modified version thereof
+   as a parser skeleton.  Alternatively, if you modify or redistribute
+   the parser skeleton itself, you may (at your option) remove this
+   special exception, which will cause the skeleton and the resulting
+   Bison output files to be licensed under the GNU General Public
+   License without this special exception.
+
+   This special exception was added by the Free Software Foundation in
+   version 2.2 of Bison.  */
+
+/* C LALR(1) parser skeleton written by Richard Stallman, by
+   simplifying the original so-called "semantic" parser.  */
+
+/* All symbols defined below should begin with yy or YY, to avoid
+   infringing on user name space.  This should be done even for local
+   variables, as they might otherwise be expanded by user macros.
+   There are some unavoidable exceptions within include files to
+   define necessary library symbols; they are noted "INFRINGES ON
+   USER NAME SPACE" below.  */
+
+/* Identify Bison output.  */
+#define YYBISON 1
+
+/* Bison version.  */
+#define YYBISON_VERSION "2.3"
+
+/* Skeleton name.  */
+#define YYSKELETON_NAME "yacc.c"
+
+/* Pure parsers.  */
+#define YYPURE 0
+
+/* Using locations.  */
+#define YYLSP_NEEDED 0
+
+
+
+/* Tokens.  */
+#ifndef YYTOKENTYPE
+# define YYTOKENTYPE
+   /* Put the tokens into the symbol table, so that GDB and other debuggers
+      know about them.  */
+   enum yytokentype {
+     ACCEPT_PASSWORD = 258,
+     ACTION = 259,
+     ADMIN = 260,
+     AFTYPE = 261,
+     T_ALLOW = 262,
+     ANTI_NICK_FLOOD = 263,
+     ANTI_SPAM_EXIT_MESSAGE_TIME = 264,
+     AUTOCONN = 265,
+     T_BLOCK = 266,
+     BURST_AWAY = 267,
+     BURST_TOPICWHO = 268,
+     BYTES = 269,
+     KBYTES = 270,
+     MBYTES = 271,
+     GBYTES = 272,
+     TBYTES = 273,
+     CALLER_ID_WAIT = 274,
+     CAN_FLOOD = 275,
+     CAN_IDLE = 276,
+     CHANNEL = 277,
+     CIDR_BITLEN_IPV4 = 278,
+     CIDR_BITLEN_IPV6 = 279,
+     CIPHER_PREFERENCE = 280,
+     CLASS = 281,
+     COMPRESSED = 282,
+     COMPRESSION_LEVEL = 283,
+     CONNECT = 284,
+     CONNECTFREQ = 285,
+     CRYPTLINK = 286,
+     DEFAULT_CIPHER_PREFERENCE = 287,
+     DEFAULT_FLOODCOUNT = 288,
+     DEFAULT_SPLIT_SERVER_COUNT = 289,
+     DEFAULT_SPLIT_USER_COUNT = 290,
+     DENY = 291,
+     DESCRIPTION = 292,
+     DIE = 293,
+     DISABLE_AUTH = 294,
+     DISABLE_FAKE_CHANNELS = 295,
+     DISABLE_HIDDEN = 296,
+     DISABLE_LOCAL_CHANNELS = 297,
+     DISABLE_REMOTE_COMMANDS = 298,
+     DOT_IN_IP6_ADDR = 299,
+     DOTS_IN_IDENT = 300,
+     DURATION = 301,
+     EGDPOOL_PATH = 302,
+     EMAIL = 303,
+     ENABLE = 304,
+     ENCRYPTED = 305,
+     EXCEED_LIMIT = 306,
+     EXEMPT = 307,
+     FAILED_OPER_NOTICE = 308,
+     FAKENAME = 309,
+     IRCD_FLAGS = 310,
+     FLATTEN_LINKS = 311,
+     FFAILED_OPERLOG = 312,
+     FKILLLOG = 313,
+     FKLINELOG = 314,
+     FGLINELOG = 315,
+     FIOERRLOG = 316,
+     FOPERLOG = 317,
+     FOPERSPYLOG = 318,
+     FUSERLOG = 319,
+     GECOS = 320,
+     GENERAL = 321,
+     GLINE = 322,
+     GLINES = 323,
+     GLINE_EXEMPT = 324,
+     GLINE_LOG = 325,
+     GLINE_TIME = 326,
+     GLINE_MIN_CIDR = 327,
+     GLINE_MIN_CIDR6 = 328,
+     GLOBAL_KILL = 329,
+     IRCD_AUTH = 330,
+     NEED_IDENT = 331,
+     HAVENT_READ_CONF = 332,
+     HELP_CHANNEL = 333,
+     HIDDEN = 334,
+     HIDDEN_ADMIN = 335,
+     HIDDEN_NAME = 336,
+     HIDDEN_OPER = 337,
+     HIDE_SERVER_IPS = 338,
+     HIDE_SERVERS = 339,
+     HIDE_SPOOF_IPS = 340,
+     HOST = 341,
+     HUB = 342,
+     HUB_MASK = 343,
+     IDLETIME = 344,
+     IGNORE_BOGUS_TS = 345,
+     INVISIBLE_ON_CONNECT = 346,
+     IP = 347,
+     KILL = 348,
+     KILL_CHASE_TIME_LIMIT = 349,
+     KLINE = 350,
+     KLINE_EXEMPT = 351,
+     KLINE_REASON = 352,
+     KLINE_WITH_REASON = 353,
+     KNOCK_DELAY = 354,
+     KNOCK_DELAY_CHANNEL = 355,
+     LAZYLINK = 356,
+     LEAF_MASK = 357,
+     LINKS_DELAY = 358,
+     LISTEN = 359,
+     T_LOG = 360,
+     LOGGING = 361,
+     LOG_LEVEL = 362,
+     MAX_ACCEPT = 363,
+     MAX_BANS = 364,
+     MAX_CHANS_PER_USER = 365,
+     MAX_GLOBAL = 366,
+     MAX_IDENT = 367,
+     MAX_LOCAL = 368,
+     MAX_NICK_CHANGES = 369,
+     MAX_NICK_TIME = 370,
+     MAX_NUMBER = 371,
+     MAX_TARGETS = 372,
+     MESSAGE_LOCALE = 373,
+     MIN_NONWILDCARD = 374,
+     MIN_NONWILDCARD_SIMPLE = 375,
+     MODULE = 376,
+     MODULES = 377,
+     NAME = 378,
+     NEED_PASSWORD = 379,
+     NETWORK_DESC = 380,
+     NETWORK_NAME = 381,
+     NICK = 382,
+     NICK_CHANGES = 383,
+     NO_CREATE_ON_SPLIT = 384,
+     NO_JOIN_ON_SPLIT = 385,
+     NO_OPER_FLOOD = 386,
+     NO_TILDE = 387,
+     NOT = 388,
+     NUMBER = 389,
+     NUMBER_PER_IDENT = 390,
+     NUMBER_PER_CIDR = 391,
+     NUMBER_PER_IP = 392,
+     NUMBER_PER_IP_GLOBAL = 393,
+     OPERATOR = 394,
+     OPERS_BYPASS_CALLERID = 395,
+     OPER_LOG = 396,
+     OPER_ONLY_UMODES = 397,
+     OPER_PASS_RESV = 398,
+     OPER_SPY_T = 399,
+     OPER_UMODES = 400,
+     JOIN_FLOOD_COUNT = 401,
+     JOIN_FLOOD_TIME = 402,
+     PACE_WAIT = 403,
+     PACE_WAIT_SIMPLE = 404,
+     PASSWORD = 405,
+     PATH = 406,
+     PING_COOKIE = 407,
+     PING_TIME = 408,
+     PING_WARNING = 409,
+     PORT = 410,
+     QSTRING = 411,
+     QUIET_ON_BAN = 412,
+     REASON = 413,
+     REDIRPORT = 414,
+     REDIRSERV = 415,
+     REGEX_T = 416,
+     REHASH = 417,
+     TREJECT_HOLD_TIME = 418,
+     REMOTE = 419,
+     REMOTEBAN = 420,
+     RESTRICT_CHANNELS = 421,
+     RESTRICTED = 422,
+     RSA_PRIVATE_KEY_FILE = 423,
+     RSA_PUBLIC_KEY_FILE = 424,
+     SSL_CERTIFICATE_FILE = 425,
+     RESV = 426,
+     RESV_EXEMPT = 427,
+     SECONDS = 428,
+     MINUTES = 429,
+     HOURS = 430,
+     DAYS = 431,
+     WEEKS = 432,
+     SENDQ = 433,
+     SEND_PASSWORD = 434,
+     SERVERHIDE = 435,
+     SERVERINFO = 436,
+     SERVLINK_PATH = 437,
+     SERVICES_NAME = 438,
+     IRCD_SID = 439,
+     TKLINE_EXPIRE_NOTICES = 440,
+     T_SHARED = 441,
+     T_CLUSTER = 442,
+     T_SNOOP = 443,
+     TYPE = 444,
+     SHORT_MOTD = 445,
+     SILENT = 446,
+     SPOOF = 447,
+     SPOOF_NOTICE = 448,
+     STATS_E_DISABLED = 449,
+     STATS_I_OPER_ONLY = 450,
+     STATS_K_OPER_ONLY = 451,
+     STATS_O_OPER_ONLY = 452,
+     STATS_P_OPER_ONLY = 453,
+     TBOOL = 454,
+     TMASKED = 455,
+     T_REJECT = 456,
+     TS_MAX_DELTA = 457,
+     TS_WARN_DELTA = 458,
+     TWODOTS = 459,
+     T_ALL = 460,
+     T_BOTS = 461,
+     T_SOFTCALLERID = 462,
+     T_CALLERID = 463,
+     T_CCONN = 464,
+     T_CCONN_FULL = 465,
+     T_CLIENT_FLOOD = 466,
+     T_DEAF = 467,
+     T_DEBUG = 468,
+     T_DRONE = 469,
+     T_EXTERNAL = 470,
+     T_FULL = 471,
+     T_INVISIBLE = 472,
+     T_IPV4 = 473,
+     T_IPV6 = 474,
+     T_LOCOPS = 475,
+     T_LOGPATH = 476,
+     T_L_CRIT = 477,
+     T_L_DEBUG = 478,
+     T_L_ERROR = 479,
+     T_L_INFO = 480,
+     T_L_NOTICE = 481,
+     T_L_TRACE = 482,
+     T_L_WARN = 483,
+     T_MAX_CLIENTS = 484,
+     T_NCHANGE = 485,
+     T_OPERWALL = 486,
+     T_REJ = 487,
+     T_SERVNOTICE = 488,
+     T_SKILL = 489,
+     T_SPY = 490,
+     T_SSL = 491,
+     T_UMODES = 492,
+     T_UNAUTH = 493,
+     T_UNRESV = 494,
+     T_UNXLINE = 495,
+     T_WALLOP = 496,
+     THROTTLE_TIME = 497,
+     TOPICBURST = 498,
+     TRUE_NO_OPER_FLOOD = 499,
+     TKLINE = 500,
+     TXLINE = 501,
+     TRESV = 502,
+     UNKLINE = 503,
+     USER = 504,
+     T_USERMODE = 505,
+     USE_EGD = 506,
+     USE_EXCEPT = 507,
+     USE_INVEX = 508,
+     USE_KNOCK = 509,
+     USE_LOGGING = 510,
+     USE_WHOIS_ACTUALLY = 511,
+     VHOST = 512,
+     VHOST6 = 513,
+     XLINE = 514,
+     WARN = 515,
+     WARN_NO_NLINE = 516,
+     WEBIRC = 517
+   };
 #endif
-static char const 
-yyrcsid[] = "$FreeBSD: src/usr.bin/yacc/skeleton.c,v 1.37 2003/02/12 18:03:55 davidc Exp $";
-#endif
-#define YYBYACC 1
-#define YYMAJOR 1
-#define YYMINOR 9
-#define YYLEX yylex()
-#define YYEMPTY -1
-#define yyclearin (yychar=(YYEMPTY))
-#define yyerrok (yyerrflag=0)
-#define YYRECOVERING() (yyerrflag!=0)
-#if defined(__cplusplus) || __STDC__
-static int yygrowstack(void);
-#else
-static int yygrowstack();
-#endif
-#define YYPREFIX "yy"
-#line 26 "ircd_parser.y"
+/* Tokens.  */
+#define ACCEPT_PASSWORD 258
+#define ACTION 259
+#define ADMIN 260
+#define AFTYPE 261
+#define T_ALLOW 262
+#define ANTI_NICK_FLOOD 263
+#define ANTI_SPAM_EXIT_MESSAGE_TIME 264
+#define AUTOCONN 265
+#define T_BLOCK 266
+#define BURST_AWAY 267
+#define BURST_TOPICWHO 268
+#define BYTES 269
+#define KBYTES 270
+#define MBYTES 271
+#define GBYTES 272
+#define TBYTES 273
+#define CALLER_ID_WAIT 274
+#define CAN_FLOOD 275
+#define CAN_IDLE 276
+#define CHANNEL 277
+#define CIDR_BITLEN_IPV4 278
+#define CIDR_BITLEN_IPV6 279
+#define CIPHER_PREFERENCE 280
+#define CLASS 281
+#define COMPRESSED 282
+#define COMPRESSION_LEVEL 283
+#define CONNECT 284
+#define CONNECTFREQ 285
+#define CRYPTLINK 286
+#define DEFAULT_CIPHER_PREFERENCE 287
+#define DEFAULT_FLOODCOUNT 288
+#define DEFAULT_SPLIT_SERVER_COUNT 289
+#define DEFAULT_SPLIT_USER_COUNT 290
+#define DENY 291
+#define DESCRIPTION 292
+#define DIE 293
+#define DISABLE_AUTH 294
+#define DISABLE_FAKE_CHANNELS 295
+#define DISABLE_HIDDEN 296
+#define DISABLE_LOCAL_CHANNELS 297
+#define DISABLE_REMOTE_COMMANDS 298
+#define DOT_IN_IP6_ADDR 299
+#define DOTS_IN_IDENT 300
+#define DURATION 301
+#define EGDPOOL_PATH 302
+#define EMAIL 303
+#define ENABLE 304
+#define ENCRYPTED 305
+#define EXCEED_LIMIT 306
+#define EXEMPT 307
+#define FAILED_OPER_NOTICE 308
+#define FAKENAME 309
+#define IRCD_FLAGS 310
+#define FLATTEN_LINKS 311
+#define FFAILED_OPERLOG 312
+#define FKILLLOG 313
+#define FKLINELOG 314
+#define FGLINELOG 315
+#define FIOERRLOG 316
+#define FOPERLOG 317
+#define FOPERSPYLOG 318
+#define FUSERLOG 319
+#define GECOS 320
+#define GENERAL 321
+#define GLINE 322
+#define GLINES 323
+#define GLINE_EXEMPT 324
+#define GLINE_LOG 325
+#define GLINE_TIME 326
+#define GLINE_MIN_CIDR 327
+#define GLINE_MIN_CIDR6 328
+#define GLOBAL_KILL 329
+#define IRCD_AUTH 330
+#define NEED_IDENT 331
+#define HAVENT_READ_CONF 332
+#define HELP_CHANNEL 333
+#define HIDDEN 334
+#define HIDDEN_ADMIN 335
+#define HIDDEN_NAME 336
+#define HIDDEN_OPER 337
+#define HIDE_SERVER_IPS 338
+#define HIDE_SERVERS 339
+#define HIDE_SPOOF_IPS 340
+#define HOST 341
+#define HUB 342
+#define HUB_MASK 343
+#define IDLETIME 344
+#define IGNORE_BOGUS_TS 345
+#define INVISIBLE_ON_CONNECT 346
+#define IP 347
+#define KILL 348
+#define KILL_CHASE_TIME_LIMIT 349
+#define KLINE 350
+#define KLINE_EXEMPT 351
+#define KLINE_REASON 352
+#define KLINE_WITH_REASON 353
+#define KNOCK_DELAY 354
+#define KNOCK_DELAY_CHANNEL 355
+#define LAZYLINK 356
+#define LEAF_MASK 357
+#define LINKS_DELAY 358
+#define LISTEN 359
+#define T_LOG 360
+#define LOGGING 361
+#define LOG_LEVEL 362
+#define MAX_ACCEPT 363
+#define MAX_BANS 364
+#define MAX_CHANS_PER_USER 365
+#define MAX_GLOBAL 366
+#define MAX_IDENT 367
+#define MAX_LOCAL 368
+#define MAX_NICK_CHANGES 369
+#define MAX_NICK_TIME 370
+#define MAX_NUMBER 371
+#define MAX_TARGETS 372
+#define MESSAGE_LOCALE 373
+#define MIN_NONWILDCARD 374
+#define MIN_NONWILDCARD_SIMPLE 375
+#define MODULE 376
+#define MODULES 377
+#define NAME 378
+#define NEED_PASSWORD 379
+#define NETWORK_DESC 380
+#define NETWORK_NAME 381
+#define NICK 382
+#define NICK_CHANGES 383
+#define NO_CREATE_ON_SPLIT 384
+#define NO_JOIN_ON_SPLIT 385
+#define NO_OPER_FLOOD 386
+#define NO_TILDE 387
+#define NOT 388
+#define NUMBER 389
+#define NUMBER_PER_IDENT 390
+#define NUMBER_PER_CIDR 391
+#define NUMBER_PER_IP 392
+#define NUMBER_PER_IP_GLOBAL 393
+#define OPERATOR 394
+#define OPERS_BYPASS_CALLERID 395
+#define OPER_LOG 396
+#define OPER_ONLY_UMODES 397
+#define OPER_PASS_RESV 398
+#define OPER_SPY_T 399
+#define OPER_UMODES 400
+#define JOIN_FLOOD_COUNT 401
+#define JOIN_FLOOD_TIME 402
+#define PACE_WAIT 403
+#define PACE_WAIT_SIMPLE 404
+#define PASSWORD 405
+#define PATH 406
+#define PING_COOKIE 407
+#define PING_TIME 408
+#define PING_WARNING 409
+#define PORT 410
+#define QSTRING 411
+#define QUIET_ON_BAN 412
+#define REASON 413
+#define REDIRPORT 414
+#define REDIRSERV 415
+#define REGEX_T 416
+#define REHASH 417
+#define TREJECT_HOLD_TIME 418
+#define REMOTE 419
+#define REMOTEBAN 420
+#define RESTRICT_CHANNELS 421
+#define RESTRICTED 422
+#define RSA_PRIVATE_KEY_FILE 423
+#define RSA_PUBLIC_KEY_FILE 424
+#define SSL_CERTIFICATE_FILE 425
+#define RESV 426
+#define RESV_EXEMPT 427
+#define SECONDS 428
+#define MINUTES 429
+#define HOURS 430
+#define DAYS 431
+#define WEEKS 432
+#define SENDQ 433
+#define SEND_PASSWORD 434
+#define SERVERHIDE 435
+#define SERVERINFO 436
+#define SERVLINK_PATH 437
+#define SERVICES_NAME 438
+#define IRCD_SID 439
+#define TKLINE_EXPIRE_NOTICES 440
+#define T_SHARED 441
+#define T_CLUSTER 442
+#define T_SNOOP 443
+#define TYPE 444
+#define SHORT_MOTD 445
+#define SILENT 446
+#define SPOOF 447
+#define SPOOF_NOTICE 448
+#define STATS_E_DISABLED 449
+#define STATS_I_OPER_ONLY 450
+#define STATS_K_OPER_ONLY 451
+#define STATS_O_OPER_ONLY 452
+#define STATS_P_OPER_ONLY 453
+#define TBOOL 454
+#define TMASKED 455
+#define T_REJECT 456
+#define TS_MAX_DELTA 457
+#define TS_WARN_DELTA 458
+#define TWODOTS 459
+#define T_ALL 460
+#define T_BOTS 461
+#define T_SOFTCALLERID 462
+#define T_CALLERID 463
+#define T_CCONN 464
+#define T_CCONN_FULL 465
+#define T_CLIENT_FLOOD 466
+#define T_DEAF 467
+#define T_DEBUG 468
+#define T_DRONE 469
+#define T_EXTERNAL 470
+#define T_FULL 471
+#define T_INVISIBLE 472
+#define T_IPV4 473
+#define T_IPV6 474
+#define T_LOCOPS 475
+#define T_LOGPATH 476
+#define T_L_CRIT 477
+#define T_L_DEBUG 478
+#define T_L_ERROR 479
+#define T_L_INFO 480
+#define T_L_NOTICE 481
+#define T_L_TRACE 482
+#define T_L_WARN 483
+#define T_MAX_CLIENTS 484
+#define T_NCHANGE 485
+#define T_OPERWALL 486
+#define T_REJ 487
+#define T_SERVNOTICE 488
+#define T_SKILL 489
+#define T_SPY 490
+#define T_SSL 491
+#define T_UMODES 492
+#define T_UNAUTH 493
+#define T_UNRESV 494
+#define T_UNXLINE 495
+#define T_WALLOP 496
+#define THROTTLE_TIME 497
+#define TOPICBURST 498
+#define TRUE_NO_OPER_FLOOD 499
+#define TKLINE 500
+#define TXLINE 501
+#define TRESV 502
+#define UNKLINE 503
+#define USER 504
+#define T_USERMODE 505
+#define USE_EGD 506
+#define USE_EXCEPT 507
+#define USE_INVEX 508
+#define USE_KNOCK 509
+#define USE_LOGGING 510
+#define USE_WHOIS_ACTUALLY 511
+#define VHOST 512
+#define VHOST6 513
+#define XLINE 514
+#define WARN 515
+#define WARN_NO_NLINE 516
+#define WEBIRC 517
 
+
+
+
+/* Copy the first part of user declarations.  */
+#line 25 "ircd_parser.y"
+
+
 #define YY_NO_UNPUT
 #include <sys/types.h>
 
